Module java.base
Package java.util.concurrent

## Interface RunnableFuture<V>

- Type Parameters:
    `V` - The result type returned by this Future's `get` method
  All Superinterfaces:
    `Future<V>`, `Runnable`
  All Known Subinterfaces:
    `RunnableScheduledFuture<V>`
  All Known Implementing Classes:
    `FutureTask`, `SwingWorker`

      public interface RunnableFuture<V>
      extends Runnable, Future<V>

  A `Future` that is `Runnable`. Successful execution of the `run` method causes completion of the `Future` and allows access to its results.
  Since:
    1.6
  See Also:
    `FutureTask`, `Executor`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run​()` | Sets this Future to the result of its computation unless it has been cancelled.

    - ### Methods inherited from interface java.util.concurrent.Future

      `cancel, get, get, isCancelled, isDone`

- - ### Method Detail

    - #### run

          void run​()

      Sets this Future to the result of its computation unless it has been cancelled.
      Specified by:
        `run` in interface `Runnable`
      See Also:
        `Thread.run()`